Subject: bug#62210: Status uf NS port?

From: Michael Albinus <[email-masked]>
Date: Tue, 04 Apr 2023 20:03:34 +0200

Robert Pluim <[email-masked]> writes:

Hi Robert,

> If the issue is the amount of warnings produced by the build, the
> following reduces those to almost nothing on a '--with-ns' build on
> Debian testing.
>
> diff --git a/src/nsgui.h b/src/nsgui.h
> index 469aef13070..3b977e531a5 100644
> --- a/src/nsgui.h
> +++ b/src/nsgui.h
> @@ -31,8 +31,20 @@ #define Cursor FooFoo
>
>  #undef verify
>
> +#ifdef NS_IMPL_GNUSTEP
> +#pragma GCC diagnostic push
> +#pragma GCC diagnostic ignored "-Wexpansion-to-defined"
> +#pragma GCC diagnostic ignored "-Wold-style-definition"
> +#pragma GCC diagnostic ignored "-Wstrict-prototypes"
> +#pragma GCC diagnostic ignored "-Wredundant-decls"
> +#endif
> +
>  #import <AppKit/AppKit.h>
>
> +#ifdef NS_IMPL_GNUSTEP
> +#pragma GCC diagnostic pop
> +#endif
> +
>  #ifdef NS_IMPL_COCOA
>  #undef Cursor
>  #endif /* NS_IMPL_COCOA */

Thanks, this reduces the warnings drastically. What's left are

--8<---------------cut here---------------start------------->8---
 CC       image.o
image.c:143: warning: macro "PIX_MASK_DRAW" is not used [-Wunused-macros]
  143 | #define PIX_MASK_DRAW 1
      |
  CC       nsterm.o
cc1obj: warning: /root/GNUstep/Library/Headers: No such file or directory [-Wmissing-include-dirs]
cc1obj: warning: /usr/local/include/GNUstep: No such file or directory [-Wmissing-include-dirs]
nsterm.m: In function 'ns_set_undecorated':
nsterm.m:1791:7: warning: 'NSWindow' may not respond to '-setIsVisible:'
 1791 |       [newWindow setIsVisible:[oldWindow isVisible]];
      |       ^
nsterm.m:1791:7: warning: (messages without a matching method signature will be assumed to return 'id' and accept '...' as arguments)
nsterm.m: In function '-[EmacsView showFontPanel]':
nsterm.m:6688:3: warning: 'NSFontPanel' may not respond to '-setIsVisible:'
 6688 |   [[fm fontPanel: YES] setIsVisible: NO];
      |   ^
  CC       nsfns.o
cc1obj: warning: /root/GNUstep/Library/Headers: No such file or directory [-Wmissing-include-dirs]
cc1obj: warning: /usr/local/include/GNUstep: No such file or directory [-Wmissing-include-dirs]
  CC       nsmenu.o
cc1obj: warning: /root/GNUstep/Library/Headers: No such file or directory [-Wmissing-include-dirs]
cc1obj: warning: /usr/local/include/GNUstep: No such file or directory [-Wmissing-include-dirs]
  CC       nsselect.o
cc1obj: warning: /root/GNUstep/Library/Headers: No such file or directory [-Wmissing-include-dirs]
cc1obj: warning: /usr/local/include/GNUstep: No such file or directory [-Wmissing-include-dirs]
  CC       nsimage.o
cc1obj: warning: /root/GNUstep/Library/Headers: No such file or directory [-Wmissing-include-dirs]
cc1obj: warning: /usr/local/include/GNUstep: No such file or directory [-Wmissing-include-dirs]
  CC       nsfont.o
cc1obj: warning: /root/GNUstep/Library/Headers: No such file or directory [-Wmissing-include-dirs]
cc1obj: warning: /usr/local/include/GNUstep: No such file or directory [-Wmissing-include-dirs]
--8<---------------cut here---------------end--------------->8---

I have no idea how serious these warnings are. But the build runs
through now.

I don't know whether we shall commit the patch, it suppresses warnings
by default, which could be dangerous either. I'll let this to
somebody else to decide. Eli?

The good message is, that I could identify now the real problem:

--8<---------------cut here---------------start------------->8---
/usr/bin/ld: cannot find -lz
collect2: error: ld returned 1 exit status
make[3]: *** [Makefile:705: temacs] Error 1
make[2]: *** [Makefile:544: src] Error 2
make[1]: *** [Makefile:1260: actual-bootstrap] Error 2
--8<---------------cut here---------------end--------------->8---

zlib is missing. I've added zlib1g-dev to the list of installation
packages for Debian, and now the GNUSTEP jobs shall run on EMBA.

Best regards, Michael.